org.apache.myfaces.trinidad.bean

## Class ValueExpressionValueBinding

- java.lang.Object
- - javax.faces.el.ValueBinding
  - - org.apache.myfaces.trinidad.bean.ValueExpressionValueBinding

-     public class ValueExpressionValueBinding
      extends javax.faces.el.ValueBinding

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Class` | `getType(javax.faces.context.FacesContext facesContext)`
    `Object` | `getValue(javax.faces.context.FacesContext facesContext)`
    `static javax.faces.el.ValueBinding` | `getValueBinding(javax.el.ValueExpression ve)` Given a ValueExpression `ve`, return a ValueBinding.
    `javax.el.ValueExpression` | `getValueExpression()`
    `int` | `hashCode()`
    `boolean` | `isReadOnly(javax.faces.context.FacesContext facesContext)`
    `void` | `setValue(javax.faces.context.FacesContext facesContext, Object object)`
    `String` | `toString()`

    - ### Methods inherited from class javax.faces.el.ValueBinding

      `getExpressionString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getValueBinding

          public static javax.faces.el.ValueBinding getValueBinding(javax.el.ValueExpression ve)

      Given a ValueExpression `ve`, return a ValueBinding. The returned ValueBinding will implement StateHolder and Serializable interfaces if `ve` implements these interfaces.
      Parameters:
        `ve` - The ValueExpression
      Returns:
        a ValueBinding equivalent to the ValueExpression

    - #### getValueExpression

          public javax.el.ValueExpression getValueExpression()

    - #### getValue

          public Object getValue(javax.faces.context.FacesContext facesContext)

      Specified by:
        `getValue` in class `javax.faces.el.ValueBinding`

    - #### setValue

          public void setValue(javax.faces.context.FacesContext facesContext,
                      Object object)

      Specified by:
        `setValue` in class `javax.faces.el.ValueBinding`

    - #### isReadOnly

          public boolean isReadOnly(javax.faces.context.FacesContext facesContext)

      Specified by:
        `isReadOnly` in class `javax.faces.el.ValueBinding`

    - #### getType

          public Class getType(javax.faces.context.FacesContext facesContext)

      Specified by:
        `getType` in class `javax.faces.el.ValueBinding`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.